<form novalidate autocomplete="off" #form="ngForm" (submit)="onSubmit(form)">
  <input type="hidden" name="id" [value]="service.formData.id"/>
  <div class="form-group">
    <label for="inputName" class="form-label">PROJECT NAME</label>
    <input id="inputName" class="form-control form-control-lg" placeholder="Project name..."
           name="name" #name="ngModel" [(ngModel)]="service.formData.name"
           required maxlength="50" minlength="1" [class.invalid]="name.invalid && name.touched">
  </div><br>
  <div class="form-group">
    <label for="inputDesc" class="form-label">PROJECT DESCRIPTION</label>
    <textarea id="inputDesc" class="form-control" rows="3" placeholder="Project description..."
              name="description" #description="ngModel" [(ngModel)]="service.formData.description"
              required maxlength="500" minlength="1"
              [class.invalid]="description.invalid && description.touched"></textarea>
  </div>
  <div class="form-group">
    <button type="submit" class="btn btn-primary btn-lg"
            [disabled]="form.invalid || (name.pristine && description.pristine)">Submit
    </button>
    <button type="button" class="btn btn-secondary btn-lg ms-3" (click)="resetForm(form)">Reset</button>
  </div>
</form>
